/* drawers.h */

#ifndef _DRAWERS_H_
#define _DRAWERS_H_

#define MAX_DRAWERS     8

struct drawer_configuration
{
  BYTE    i2c_address;
  BYTE    bin_mask1to8;
  BYTE    bin_mask9to16;
  BYTE    bin_mask17to24;
} ;

extern bank1 struct drawer_configuration drawer[];
extern bank2 BYTE activeDrawerMask;

void AMC_SelectSwitches(BYTE bank);
BYTE AMC_DrawersOpen(void);
BYTE AMC_DrawerOpen(int s);
void AMC_PopDrawer(int s);

#endif
