/* kcf_defs.h */
/* this file contains type definitions to ease transition from CCS to
   HIT-TECH C Compiler  - kcf */

#ifndef _KCF_DEFS_H
#define _KCF_DEFS_H

  #define LOW 0
  #define HIGH 1

  #ifndef FALSE
    #define FALSE 0
    #define TRUE !FALSE
  #endif

  #define BYTE unsigned char
  #define BOOLEAN bit


#ifdef _16F877   /* 16F877 header from uChip doesn't have these ! */
#define LVP							0x80
#define CPD							0x100
#define WRT							0x200
#define BKBUG						0x800
#define HS							FOSC1
#define RC              (FOSC1 | FOSC0)
#define XT              FOSC0
#define LP              0x00
#endif

#endif /* kcf_defs.h */
